Subject: RE: Capabilities Summary - Issue #2

From: Gilbert Moineau <[email-masked]>
Date: Wed, 28 Jul 93 08:56:00 PDT

Wayne,

There is a mistake about the Eicon position regarding the Directory/Name 
Server. I said that a Directory Service could be a good idea BUT IT SHOULD 
NOT  BE DEFINED NOW. This group is suppose to define the capabilities 
exchange, not to create new capabilities...

For the DATA stream format, could you add "Eicon GDS format "?

                         Thanks,
                              Gilbert Moineau
                              Eicon Technology

 ----------
From: wclark
To: aiw-sig-dlsw-capabilities
Subject: Capabilities Summary - Issue #2
Date: 27 July, 1993 15:35

To all -

    Attached below is the latest Capabilities Summary.  I've included the
    following changes submitted over the past week:
        (1) 3Com wants loop prevention as an option,
        (2) Cayman clarified the base set for me and added name server
            as an option
        (3) Eicon wants only TCP for capabilities exchange and wants
            a directory service to be an option.
        (4) Cisco's Base + Option Set request.

    Also, as I have been wrestling with the ambiguity between DLSw (the
    informational RFC) and DLSw (the working group standard).
    Sometimes, you can't say just "DLSw".  You have to place it in
    context.  What do others feel about calling the standard we're
    working on "ODLS" for Open Data Link Switching (analogous to OSPF)
    versus DLSw for the current Data Link Switching.  Since the
    standardization process is under the auspices of an open
    multivendor group, the term "open" seems appropriate.

    One last thing: I'll be out on vacation from July 28 thru August 2.
    Rick Konlon will be filling in for me while I'm away.

Thanks,
 -----------
Wayne Clark
cisco Systems, Inc.
[email-masked]
415/688-4627


                            Open DLSw (ODLS)

                          Capabilities SIGlet

                             Feature List

                    Tue Jul 27 14:38:26 PDT 1993

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:        Base Set vs. Option Sets
    Description:        What features in ODLS should be base requirements 
for
                        interoperability and which ones should be optional.
    Member Input:
        Cayman          Base   = RFC 1434 + capab exchng + flow control
                        Option = name server
        Novell          Option = NetBIOS support
        Eicon           Base   = (today's) DLSw (i.e. default capabilities)
        3Com            Option = loop prevention
        Eicon           Option = directory service
        Cisco           Base   = RFC 1434 + capab exchng + MIB
                        Option = flow control, NetBIOS, loop prevention,
                                 list of known ODLS routers,
                                 CANUREACH / ICANREACH, priority / COS
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:        Vendor Id
    Description:        Include a vendor id, vendor release number, etc. in
                        the capabilities exchange.
    Member Input:
        Cisco           Vendor id is a good thing.
        Wellfleet       Wary about vendor id.
        Proteon         Vendor id is a good thing.  Aids in problem det.
        Cayman          Don't like vendor id.  Invites variations.
        Hypercom        Vendor id is a good thing.  Aids in problem det.
        Novell          Vendor id is a good thing.  Good for 
troubleshooting.
        Eicon           Vendor id is a good thing.  Ignoring it is ok.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:        TCP vs. UDP for Capabilities Exchange
    Description:        Transport of the capabilities across TCP or UDP.
    Member Input:
        Cisco           TCP or UDP, with a preference for UDP.
        Novell          TCP only.  For reasons of alternate transport.
        BBN             TCP only.  For reasons of alternate transport.
        Wellfleet       TCP only.  Use another SSP message within TCP.
        Cayman          TCP only.  Use another SSP message within TCP.
        Hypercom        Leaning toward UDP.
        Ascom/T-plex    TCP only.  Use another SSP message within TCP.
                        Concerned about requiring IP multicast.
        Eicon           TCP only.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:        Data Stream Format
    Description:        How should the capabilities exchange data stream
                        be formatted?
    Member Input:
        Cisco           GDS format (i.e. LLID).
        Novell          Reserved bytes in message header.
        Cayman          Tag / length. (i.e. like GDS = editor note)
        Hypercom        GDS format (i.e. LLID).
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:        Optional CANUREACH / ICANREACH
    Description:        Should CUR/ICR be optional at connection startup?
    Member Input:
        Cisco           They should be optional.  Must be able to send/recv.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Feature:        Directory Server / Name Server
    Description:        How should ODLS-capable routers find out about each
                        other?
    Member Input:
        Radlinx         List of already-known ODLS routers in capabilities
                        exchange.
        Hypercom        Name server treading onto APPN turf. Objective, but
                        not in the base.
        Cisco           List of already-known ODLS routers in capabilities
                        exchange.
        Novell          List of ODLS routers in capabilities exchange. 
 Don't
                        want it link state-based.
        Eicon           Wants a directory server. DS capability in exchange.
    Comments:
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+